de.caff.generics

## Class MutableBooleanIndexable.Base

- java.lang.Object
- - de.caff.generics.BooleanIndexable.Base
  - - de.caff.generics.MutableBooleanIndexable.Base

- All Implemented Interfaces:
    BooleanIndexable, Copyable<MutableBooleanIndexable>, MutableBooleanIndexable, PrimitiveBooleanIterable, Sizeable, java.lang.Comparable<BooleanIndexable>, java.lang.Iterable<java.lang.Boolean>
  Enclosing interface:
    MutableBooleanIndexable

      public abstract static class MutableBooleanIndexable.Base
      extends BooleanIndexable.Base
      implements MutableBooleanIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableBooleanIndexable

      `MutableBooleanIndexable.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.BooleanIndexable

      `BooleanIndexable.EntryConsumer`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableBooleanIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.BooleanIndexable

      `SINGLE_FALSE, SINGLE_TRUE`

    - ### Fields inherited from interface de.caff.generics.PrimitiveBooleanIterable

      `EMPTY_BOOLEAN_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.BooleanIndexable.Base

      `asBase, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableBooleanIndexable

      `asList, based, copy, copyOf, empty, fromArray, fromArray, fromBooleanIndexable, fromIndexable, fromIndexable, fromIterable, getCopy, headSet, init, init, initByIndex, initByIndex, reverse, set, setFrom, setFrom, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewIndexable, viewList`

    - ### Methods inherited from interface de.caff.generics.BooleanIndexable

      `addAllTo, addToArray, addToArray, asBase, asCollection, asIndexable, booleanIterator, booleanIterator, compare, emptyIndexable, equal, equal, firstMatch, foldLeft, forEachBoolEntry, frozen, get, getMod, gyt, hash, indexes, initByIndex, intIndexes, isEmpty, iterator, lastMatch, listIterator, nextMatch, previousMatch, rotated, singleton, toArray, toList, toString, view, viewArray, viewArray, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveBooleanIterable

      `and, containsBool, containsFalse, containsTrue, forEachBool, forEachBooleanFragile, forEachBoolFragile, or, xor`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()